Bug 226476 - Merge Review: talk
Merge Review: talk
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 16:08 EST by Nobody's working on this, feel free to take it
Modified: 2010-03-03 06:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-03 06:54:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
ovasik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 16:08:04 EST
Fedora Merge Review: talk

http://cvs.fedora.redhat.com/viewcvs/devel/talk/
Initial Owner: mitr@redhat.com
Comment 1 Ondrej Vasik 2010-02-17 11:30:17 EST
Few things:
must:
dist tag missing
buildroot not acceptable (although not used by rpm, should be fixed)
%defattr(-,root,root,-) instead of %defattr(-,root,root)
Fix missing URL
Use versioned provides and obsoletes
Summary should not end with dot
talk.src:50: E: configure-without-libdir-spec -> consider %configure macro

should:
comment patches and source1,2
Comment 2 Vitezslav Crhonek 2010-03-01 11:37:59 EST
(In reply to comment #1)
> Few things:
> must:
> dist tag missing

Fixed.

> buildroot not acceptable (although not used by rpm, should be fixed)

Fixed.

> %defattr(-,root,root,-) instead of %defattr(-,root,root)

Fixed.

> Fix missing URL

Fixed. (The upstream page doesn't exist, I used latest one from web archive.)

> Use versioned provides and obsoletes

Fixed.

> Summary should not end with dot

Fixed.

> talk.src:50: E: configure-without-libdir-spec -> consider %configure macro

Just tried %configure macro and it leaded to build error, but I'll take a look once more if you think that it's worth of it.

> 
> should:
> comment patches and source1,2    

Done.

All changes are commited in devel branch.
Comment 3 Ondrej Vasik 2010-03-01 16:29:53 EST
Checked the latest... 
$ rpmlint talk*.spec talk*.rpm i386/talk-*.rpm
talk.spec:58: W: configure-without-libdir-spec
talk.src: W: name-repeated-in-summary Talk
talk.src:58: W: configure-without-libdir-spec
talk-server.i386: W: summary-ended-with-dot The talk server for one-on-one Internet chatting.
talk-server.i386: E: non-readable /usr/sbin/in.ntalkd 0711
talk-server.i386: E: non-standard-executable-perm /usr/sbin/in.ntalkd 0711
talk.i386: W: name-repeated-in-summary Talk
4 packages and 1 specfiles checked; 2 errors, 5 warnings.

Non-readable errors are expected/required, name repeated in summary seems ok for me - that's ok, summary still ends with dot for server subpackage, please fix it. About %configure... well - it would be better to use that macro, however you could add LIBDIR variable to the standard ./configure as well to silence rpmlint if it is easier.
Comment 4 Vitezslav Crhonek 2010-03-02 07:03:22 EST
I removed dot from end of talk server summary.

The ./configure does not support libdir, so I think we can ignore this warning.
Comment 5 Ondrej Vasik 2010-03-03 06:54:39 EST
Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ MUST: rpmlint must be run on every package. The output should be posted in
the review

$ rpmlint talk*.spec talk*.rpm i386/talk-*.rpm
talk.spec:58: W: configure-without-libdir-spec
talk.src: W: name-repeated-in-summary Talk
talk.src:58: W: configure-without-libdir-spec
talk-server.i386: E: non-readable /usr/sbin/in.ntalkd 0711
talk-server.i386: E: non-standard-executable-perm /usr/sbin/in.ntalkd 0711
talk.i386: W: name-repeated-in-summary Talk
4 packages and 1 specfiles checked; 2 errors, 4 warnings.

All W/E discussed previously, I'm ok with them.

+ MUST: package named according to the Package Naming Guidelines

Name doesn't match upstream tarball(netkit-ntalk), but it's done this way for a long time and for consistency I would say it is better to keep it as it is. Same is done in other distros as well.

+ MUST: The spec file name must match the base package %{name}
+ MUST: The package must meet the Packaging Guidelines .
+ MUST: The package licensed with a Fedora approved license and meets the
Licensing Guidelines
+ MUST: The License field in the package spec file matches the actual
license
0 MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.

No such file in package.

+ MUST: The spec file must be written in American English.
+ MUST: The spec file for the package MUST be legible.
+ MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task
From sources:
$ md5sum netkit-ntalk-0.17.tar.gz
e3c57208f8644ae206dab5e236daf7b3  netkit-ntalk-0.17.tar.gz
From upstream ftp:
$ md5sum netkit-ntalk-0.17.tar.gz
e3c57208f8644ae206dab5e236daf7b3  netkit-ntalk-0.17.tar.gz
= MATCHES
+ MUST: The package successfully compiles and builds into binary rpms on at
least one primary architecture
 - tested on i686, no problems
0 MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch
+ MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines
0 MUST: The spec file handles locales properly. This is done by using the
%find_lang macro
0 MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in %post and %postun.
0 MUST: Packages must NOT bundle copies of system libraries
0 MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker
+ MUST: Package must own all directories that it creates. If it does not create
a directory that it uses, then it should require a package which does create
that directory
+ MUST: Package must not list a file more than once in the spec file's %files
listings
+ MUST: Permissions on files must be set properly. Every %files section must
include a %defattr(...) line.
+ MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
+ MUST: Each package must consistently use macros
+ MUST: The package must contain code, or permissable content
0 MUST: Large documentation files must go in a -doc subpackage
+ MUST: If a package includes something as %doc, it must not affect the runtime
of the application
0 MUST: Header files must be in a -devel package
0 MUST: Static libraries must be in a -static package
0 MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
0 MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package
0 MUST: devel packages must require the base package using a fully versioned
dependency: Requires: %{name} = %{version}-%{release}
+ MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built
0 MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section
+ MUST: Packages must not own files or directories already owned by other
packages
+ MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT)
+ MUST: All filenames in rpm packages must be valid UTF-8

The only questionable thing is that maybe it would be good to ship README file as %doc, not a blocker for me, though.

Package looks sane. Review+ , closing RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.